Flow

Retrieve a schedule

GET
/flows/{flow}/schedules/{schedule}

Returns the full schedule resource for the given identifier.

BearerAuth
headerAuthorizationBearer <JWT>

Admin token, API token issued via /api-tokens, or an OIDC JWT access token issued by the configured OIDC provider.

flow*string
Formatuuid
schedule*string
Formatuuid

The requested schedule.

application/json
  1. response
name*string

Unique resource name.

cron*string

6-field cron expression (second, minute, hour, day-of-month, month, day-of-week).

nextRunTime*string

Next scheduled execution time.

Formatdate-time
createTime*string

Time at which the schedule was created.

Formatdate-time
updateTime*string

Time at which the schedule was last updated.

Formatdate-time
Example Request
curl -X GET 'https://example.com/api/hub/flows/497f6eca-6276-4993-bfeb-53cbbbba6f08/schedules/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "name": "flows/550e8400-e29b-41d4-a716-446655440000/schedules/770e8400-e29b-41d4-a716-446655440000",  "cron": "0 */5 * * * *",  "nextRunTime": "2019-08-24T14:15:22Z",  "createTime": "2019-08-24T14:15:22Z",  "updateTime": "2019-08-24T14:15:22Z"}